Package Details: papirus-icon-theme-git 1:r724.81a23d363-1

Git Clone URL: https://aur.archlinux.org/papirus-icon-theme-git.git (read-only)
Package Base: papirus-icon-theme-git
Description: Papirus icon theme (git version)
Upstream URL: https://github.com/PapirusDevelopmentTeam/papirus-icon-theme
Keywords: gtk icons kde papirus theme
Licenses: LGPL3
Conflicts: papirus-gtk-icon-theme, papirus-gtk-icon-theme-git, papirus-icon-theme, papirus-icon-theme-gtk, papirus-icon-theme-gtk-git, papirus-icon-theme-kde, papirus-icon-theme-kde-git
Provides: papirus-icon-theme
Replaces: papirus-icon-theme-gtk-git, papirus-icon-theme-kde-git
Submitter: edgard
Maintainer: edgard
Last Packager: edgard
Votes: 96
Popularity: 6.702202
First Submitted: 2016-11-29 16:04
Last Updated: 2017-01-12 13:09

Dependencies (1)

Required by (3)

Sources (1)

Pinned Comments

edgard commented on 2016-12-07 16:23

### NOTICE ###

The following packages has been merged in this one, according to upstream changes:

papirus-icon-theme-gtk-git
papirus-icon-theme-kde-git
papirus-icon-theme-kde
papirus-icon-theme-gtk

IMPORTANT: this is a '-git' package, it's only updated when you use the '--devel' switch on yaourt/pacaur. Please do not set the package as out-of-date without checking it first.

Latest Comments

SmartFinn commented on 2017-09-16 10:37

@edgard Hey. One of the Papirus devs here. I just wanted to say that we don't have a plan to change versioning, so you can safely use the tag.

edgard commented on 2017-09-11 16:15

@doskoi it used to have, but upstream was/is constantly changing the format of the tags and was messing up with versioning. I even had to epoch the package once because of this. I will keep a look, if it stays stable, i will re-add the tags.

doskoi commented on 2017-09-11 05:05

You should modify the pkgver() function to include the most recent tag in the version string (like 20170828.r49.gd95ee07). And maybe increase epoch after that.
See here: https://wiki.archlinux.org/index.php/VCS_package_guidelines#Git

morealaz commented on 2017-07-29 12:34

please update package for the sake of aur helpers to be noticed about it. of course we know that this is a git package, but an update after 6 month is not so bad!!
I personally update package manually as soon as I can, but some people just didn't unless their aur helper complain about it.

Tjuh commented on 2017-07-24 12:10

Luv it, especially the dark variant, but how do I change the folder color to say pink/red?

kremix commented on 2017-04-19 17:12

on 2 different machines with KDE it shows errors
Icon theme "ubuntu-mono-dark" not found.
Icon theme "Mint-X" not found.
Icon theme "elementary" not found.
Icon theme "gnome" not found.

but all works great. to remedy it, after each update I need to type in

sudo sed -i.orig '/Inherits/ s/(ubuntu-mono-dark|gnome|Mint-X|elementary),?//g' /usr/share/icons/{ePapirus,Papirus,Papirus-Light,Papirus-Dark}/index.theme

which is a pain in the butt. papirus devs don't wan't to do it on their end. can patch be included in the PKGBUILD?

edgard commented on 2017-01-12 18:18

@somepaulo Ah, that sounds correct. I've reverted the infinality patches a week ago or so, so that's why I wasn't having any problems. Thanks for the feedback!

somepaulo commented on 2017-01-12 17:54

@edgard Fixed it! In case anyone's having issues with icons not loading, check if you're running infinality patched cairo, freetype2 and fontconfig. If you are, revert to official packages. All infinality patches have been merged upstream, and infinality is now broken and deprecated.

edgard commented on 2017-01-12 13:09

@doskoi thanks, using it now!

doskoi commented on 2017-01-12 03:55

There is a new Makefile. You can replace the content of the package() function by this:

make DESTDIR="$pkgdir" install

All comments